Index: volatility/plugins/taskmods.py
===================================================================
--- volatility/plugins/taskmods.py	(revision 1976)
+++ volatility/plugins/taskmods.py	(working copy)
@@ -29,6 +29,7 @@
 import volatility.debug as debug
 import volatility.utils as utils
 import volatility.cache as cache
+import json
 
 class DllList(common.AbstractWindowsCommand, cache.Testable):
     """Print list of loaded dlls for each process"""
@@ -154,7 +155,23 @@
                 str(task.CreateTime or ''),
                 str(task.ExitTime or ''),
                 )
+    
+    def render_json(self, outfd, data):
+        """Render output as JSON"""
 
+        for task in data:
+            outfd.write(
+                json.dumps({
+                    'Offset': task.obj_offset, 
+                    'Name': str(task.ImageFileName), 
+                    'Pid': int(task.UniqueProcessId), 
+                    'PPid': int(task.InheritedFromUniqueProcessId), 
+                    'Thds': int(task.ObjectTable.HandleCount), 
+                    'Sess': str(task.SessionId or ''), 
+                    'Wow64': bool(task.IsWow64), 
+                    'Start': str(task.CreateTime or ''),
+                    'Exit': str(task.ExitTime or '')
+                }))
 
 # Inherit from files just for the config options (__init__)
 class MemMap(DllList):
